program invalid

  real :: x
    do
      read *, x
      if (x.eq.-1.) then
        print *, 'input value -1. invalid'
      else
        print *, x/(1.+x)
        exit
      end if
    end do

end program invalid
